Class | YAML::Store
In: | yaml/store.rb
Parent: | PStore

### Methods

dump load load_file new

### Public Class methods

new( *o )

[Source]

    # File yaml/store.rb, line 8
      def initialize( *o )
        @opt = YAML::DEFAULTS.dup
        if String === o.first
          super(o.shift)
        end
        if o.last.is_a? Hash
          @opt.update(o.pop)
        end
      end

### Public Instance methods

dump(table)

[Source]

    # File yaml/store.rb, line 18
      def dump(table)
        @table.to_yaml(@opt)
      end

load(content)

[Source]

    # File yaml/store.rb, line 22
      def load(content)
        YAML::load(content)
      end

load_file(file)

[Source]

    # File yaml/store.rb, line 26
      def load_file(file)
        YAML::load(file)
      end

[Validate]